Subject: Re: bug#27940: Recursively delete dir34? (yes, no, all, quit)

From: Eli Zaretskii <[email-masked]>
Date: Fri, 04 Aug 2017 11:31:51 +0300

> From: Tino Calancha <[email-masked]>
> Cc: [email-masked], Eli Zaretskii <[email-masked]>
> Date: Fri, 04 Aug 2017 17:25:49 +0900
> 
> > dired-do-flagged-delete and me interaction:
> > Recursively delete dcepc? (yes or no) yes
> > Recursively delete emmpc? (yes or no) yes
> > Recursively delete zpspc? (yes or no) yes
> > Recursively delete dgcpc? (yes or no) yes
> >
> > Wouldn't it be nice if there was instead:
> > Recursively delete dgcpc? (yes, no, all, quit)
> >
> > Yes, if before we started we set the variables we needn't be asked all
> > those questions.
> >
> > But now *midway* through the list, we decide we would like no more
> > question, there should be a way, without needing to quit and start over,
> > even if doing that isn't so bad.
> Thanks for the suggestion.
> You can already quit with '\C-g'.
> Concerning accept 'all' in the prompt, i am not sure:
> it's a bit dangerous operation.
> 
> In the other hand:
> 1) Customize `dired-recursive-deletes' to value 'always.
> 2) Do the deletion.
> 3) Set back `dired-recursive-deletes' to its original value.

Actually, I think the value he wants is 'top'.

I don't object to accepting something like "!" to mean "all", I
believe we already have a few features that do this, and the
implementation should be simple, I think.  (Creeping featurism, I
know, but what else did you expect from users who have no real bugs to
report? ;-)

> How about if `dired-do-delete' called interactively with 2 prefices
> performs recursive deletions?
> Eli?

Sounds too cumbersome to me.